Subject: Re: [PATCH net 5/5] tcp: send real dupACKs by locking advertized window for non-SACK flows

From: Eric Dumazet <[email-masked]>
Date: Wed, 07 Mar 2018 14:01:19 -0800

On Wed, 2018-03-07 at 23:39 +0200, Ilpo Järvinen wrote:
> 
> The problem I'm trying to fix is due to window increasing (of
> course, 
> dupacks could also be masked because of decrease but that's something
> I've never seen to occur in practice) so I tried to make you happy
> and 
> change my fix to do "never increase, always decrease". However, it
> turns 
> out that even pre-fixed code implements "never decrease" not "always 
> decrease" like you thought:

If this was the case, your patch would not be needed.

So really try to add more information in the changelog so that your
patch makes sense to me, and really explains why it is safe.

This kind of information should be recorded in git history, not in mail
archives.

Thanks !